<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Quiz || Admin</title>
    <link rel="stylesheet" href="style.css">
  </head>
  <body>
    <section class="frage">
      <h1>Fragen erstellen</h1>
    </section>

    <section class="view">
      <form id="form" action="http://localhost:7006/speicherFrageAntwort" method="post"></form>
        <div>
          <form method="GET" action="/logout">
          <button id="logout">Log Out</button><br/><br/>
          </form>
          Frage:<br/>
          <input type="text" name="vokabelQ" id="vokabelQ" /><br/>
          Antwort: <br/>
          <input type="text" name="antwort1" id="antwort1"  /><br/><br/>
          <input type="text" name="antwort2" id="antwort2"  /><br/><br/>
          <input type="text" name="antwort3" id="antwort3"  /><br/><br/>
          <input type="text" name="antwort4" id="antwort4"  /><br/><br/>
          <input type="text" name="richtigeAntwort" id="richtigeAntwort"  /><br/><br/>
      
            <select  name="select" id="select">
              <option id="sport" value="sport">Sport </option>
              <option id="geographie" value='geographie'>geographie</option>
            </select>
          
          <button type='submit' id="save">Speichern</button><br/><br/>
      </form> 
    </section>

        <div id="qs" class="qs">
          <h1>Sport</h1>
          <table id="sportTable" class="sportTable table" border="1">
            <tr>
              <th>Frage</th>
              <th>Antwort1</th>
              <th>Antwort2</th>
              <th>Antwort3</th>
              <th>Antwort4</th>
              <th>richtig</th>
              <th></th>
            </tr>
         </table>
         <br>
         <h1>Geographie</h1>
         <table id="geographieTable" class="geographieTable table" border="1">
          <tr>
            <th>Frage</th>
            <th>Antwort1</th>
            <th>Antwort2</th>
            <th>Antwort3</th>
            <th>Antwort4</th>
            <th>richtig</th>
            <th></th>
          </tr>
       </table>
        </div>
    <div id="fav" class="fav">
      Icons made by
      <a href="https://www.freepik.com" title="Freepik">Freepik</a> from
      <a href="https://www.flaticon.com/" title="Flaticon">www.flaticon.com</a>
    </div>
    <script src="main.js"></script>
  </body>

  <script>

   let btnClear = document.getElementById('save');

   btnClear.addEventListener('click', () =>{
    // document.querySelectorAll('input').value='';
    document.querySelectorAll("input").values = "";
    // document.querySelector('form').reset();
   })
  </script>
</html>

